diff -uNrd -x CVS ircd-hybrid-7rc5/src/vchannel.c ircd-hybrid-7-bg/src/vchannel.c
--- ircd-hybrid-7rc5/src/vchannel.c	Sat Jul  6 10:03:54 2002
+++ ircd-hybrid-7-bg/src/vchannel.c	Mon Mar 10 01:09:07 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: vchannel.c,v 7.66 2002/07/06 14:03:54 leeh Exp $
+ *  $Id: vchannel.c,v 1.2 2003/03/10 06:09:07 demond Exp $
  */
 
 #include "stdinc.h"
@@ -65,14 +65,14 @@
       /* could send a notice here, but on a vchan aware server
        * they shouldn't see the sub chans anyway
        */
-      sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+      sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
                  me.name, source_p->name, name);
       return NULL;
     }
 
   if (on_sub_vchan(root, source_p))
     {
-      sendto_one(source_p, form_str(ERR_ALREADYONVCHAN),
+      sendto_one(source_p, form_str(source_p,ERR_ALREADYONVCHAN),
                  me.name, source_p->name, name);
       return NULL;
     }
@@ -81,7 +81,7 @@
 
   if (strlen(name) > CHANNELLEN - 15)
     {
-      sendto_one(source_p, form_str(ERR_BADCHANNAME), me.name, source_p->name,
+      sendto_one(source_p, form_str(source_p,ERR_BADCHANNAME), me.name, source_p->name,
                  name);
       return NULL;
     }
@@ -90,7 +90,7 @@
       (!IsOper(source_p) || (source_p->user->joined >=
                              ConfigChannel.max_chans_per_user * 3)))
     {
-      sendto_one(source_p, form_str(ERR_TOOMANYCHANNELS),
+      sendto_one(source_p, form_str(source_p,ERR_TOOMANYCHANNELS),
                  me.name, source_p->name, name);
       return NULL;
     }
@@ -108,7 +108,7 @@
        */
       if (vchan_ts > (CurrentTime + ConfigFileEntry.ts_max_delta))
         {
-          sendto_one(source_p, form_str(ERR_UNAVAILRESOURCE),
+          sendto_one(source_p, form_str(source_p,ERR_UNAVAILRESOURCE),
                      me.name, source_p->name, name);
           return NULL;
         }
@@ -121,7 +121,7 @@
 
   if (vchan_chptr == NULL)
     {
-      sendto_one(source_p, form_str(ERR_BADCHANNAME),
+      sendto_one(source_p, form_str(source_p,ERR_BADCHANNAME),
                  me.name, source_p->name, (unsigned char *)name);
       return NULL;
     }
@@ -173,7 +173,7 @@
             return chptr;
           else
             {
-              sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+              sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
                          me.name, source_p->name, name);
               return NULL;
             }
@@ -196,7 +196,7 @@
    */
   else if (IsVchan(root))
     {
-      sendto_one(source_p, form_str(ERR_BADCHANNAME),
+      sendto_one(source_p, form_str(source_p,ERR_BADCHANNAME),
                  me.name, source_p->name, name);
       return NULL;
     }
@@ -370,12 +370,12 @@
   /* include the root itself in the count */
   no_of_vchans = dlink_list_length(&chptr->vchan_list) + 1;
 
-  sendto_one(source_p, form_str(RPL_VCHANEXIST),
+  sendto_one(source_p, form_str(source_p,RPL_VCHANEXIST),
              me.name, source_p->name, chptr->chname, no_of_vchans);
 
   vchan_show_ids(source_p, chptr);
 
-  sendto_one(source_p, form_str(RPL_VCHANHELP),
+  sendto_one(source_p, form_str(source_p,RPL_VCHANHELP),
              me.name, source_p->name, command, chptr->chname);
 }
 
@@ -399,7 +399,7 @@
   struct Channel *chtmp;
   int done_secret = 0;
 
-  ircsprintf(buf, form_str(RPL_VCHANLIST), me.name, source_p->name,
+  ircsprintf(buf, form_str(source_p,RPL_VCHANLIST), me.name, source_p->name,
              chptr->chname);
 
   mlen = strlen(buf);
diff -uNrd -x CVS ircd-hybrid-7rc5/src/version.c.SH ircd-hybrid-7-bg/src/version.c.SH
--- ircd-hybrid-7rc5/src/version.c.SH	Tue Nov 13 03:59:01 2001
+++ ircd-hybrid-7-bg/src/version.c.SH	Mon Dec 30 23:07:27 2002
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: version.c.SH,v 7.19 2001/11/13 08:59:01 leeh Exp $ 
+# $Id: version.c.SH,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $ 
 
 spitshell=cat
 package=IRC
diff -uNrd -x CVS ircd-hybrid-7rc5/src/whowas.c ircd-hybrid-7-bg/src/whowas.c
--- ircd-hybrid-7rc5/src/whowas.c	Thu Oct 10 14:49:31 2002
+++ ircd-hybrid-7-bg/src/whowas.c	Thu Jan 23 23:08:46 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.c,v 7.20 2002/10/10 18:49:31 androsyn Exp $
+ *  $Id: whowas.c,v 1.2 2003/01/24 04:08:46 demond Exp $
  */
 
 #include "stdinc.h"
@@ -84,6 +84,7 @@
   strlcpy(who->name, client_p->name, sizeof(client_p->name));
   strcpy(who->username, client_p->username);
   strcpy(who->hostname, client_p->host);
+  strcpy(who->realhost, client_p->realhost);
   strcpy(who->realname, client_p->info);
 
   who->servername = client_p->user->server;
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/README ircd-hybrid-7-bg/tools/README
--- ircd-hybrid-7rc5/tools/README	Tue Apr 30 08:45:01 2002
+++ ircd-hybrid-7-bg/tools/README	Mon Dec 30 23:07:27 2002
@@ -1,4 +1,4 @@
-$Id: README,v 7.10 2002/04/30 12:45:01 leeh Exp $
+$Id: README,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 
 A directory of support programs for ircd.
 
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/README.mkpasswd ircd-hybrid-7-bg/tools/README.mkpasswd
--- ircd-hybrid-7rc5/tools/README.mkpasswd	Sun Nov  4 00:20:21 2001
+++ ircd-hybrid-7-bg/tools/README.mkpasswd	Mon Dec 30 23:07:27 2002
@@ -1,5 +1,5 @@
 mkpasswd.c documentation
-$Id: README.mkpasswd,v 1.5 2001/11/04 05:20:21 wcampbel Exp $
+$Id: README.mkpasswd,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 
 This is documentation for the mkpasswd.c included in ircd-hybrid-7.
 
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/convertconf.c ircd-hybrid-7-bg/tools/convertconf.c
--- ircd-hybrid-7rc5/tools/convertconf.c	Thu Jul 18 11:28:28 2002
+++ ircd-hybrid-7-bg/tools/convertconf.c	Mon Dec 30 23:07:27 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: convertconf.c,v 1.36 2002/07/18 15:28:28 db Exp $
+ * $Id: convertconf.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/convertilines.c ircd-hybrid-7-bg/tools/convertilines.c
--- ircd-hybrid-7rc5/tools/convertilines.c	Tue Jul 16 18:30:21 2002
+++ ircd-hybrid-7-bg/tools/convertilines.c	Mon Dec 30 23:07:27 2002
@@ -25,7 +25,7 @@
  *  IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  *  POSSIBILITY OF SUCH DAMAGE.
  *
- * $Id: convertilines.c,v 7.3 2002/07/16 22:30:21 db Exp $
+ * $Id: convertilines.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/convertklines.c ircd-hybrid-7-bg/tools/convertklines.c
--- ircd-hybrid-7rc5/tools/convertklines.c	Mon Feb 25 14:56:03 2002
+++ ircd-hybrid-7-bg/tools/convertklines.c	Mon Dec 30 23:07:27 2002
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: convertklines.c,v 7.5 2002/02/25 19:56:03 leeh Exp $
+ * $Id: convertklines.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/descrip.mms ircd-hybrid-7-bg/tools/descrip.mms
--- ircd-hybrid-7rc5/tools/descrip.mms	Tue Feb  5 16:34:01 2002
+++ ircd-hybrid-7-bg/tools/descrip.mms	Mon Dec 30 23:07:27 2002
@@ -1,6 +1,6 @@
 # MMS/MMK Makefile for OpenVMS
 # Copyright (c) 2001 Edward Brocklesby
-# $Id: descrip.mms,v 7.5 2002/02/05 21:34:01 ejb Exp $
+# $Id: descrip.mms,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 
 CC=	CC
 CFLAGS=	/STANDARD=ISOC94
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/encspeed.c ircd-hybrid-7-bg/tools/encspeed.c
--- ircd-hybrid-7rc5/tools/encspeed.c	Thu Jul 11 23:30:07 2002
+++ ircd-hybrid-7-bg/tools/encspeed.c	Mon Dec 30 23:07:27 2002
@@ -2,7 +2,7 @@
  * encspeed.c - originally written by einride
  *            - modified for ircd-hybrid-7 by davidt
  *
- * $Id: encspeed.c,v 7.5 2002/07/12 03:30:07 joant Exp $
+ * $Id: encspeed.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 
 #include "../include/setup.h"
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/mkpasswd.c ircd-hybrid-7-bg/tools/mkpasswd.c
--- ircd-hybrid-7rc5/tools/mkpasswd.c	Wed Jan  9 14:38:45 2002
+++ ircd-hybrid-7-bg/tools/mkpasswd.c	Mon Dec 30 23:07:27 2002
@@ -9,7 +9,7 @@
 ** VMS support by Edward Brocklesby, crypt.c implementation
 ** phk@login.dknet.dk
 **
-** $Id: mkpasswd.c,v 7.11 2002/01/09 19:38:45 jmallett Exp $
+** $Id: mkpasswd.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 */
 #include <stdio.h>
 #include <string.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/rsa_respond/Makefile ircd-hybrid-7-bg/tools/rsa_respond/Makefile
--- ircd-hybrid-7rc5/tools/rsa_respond/Makefile	Thu Oct 25 01:21:13 2001
+++ ircd-hybrid-7-bg/tools/rsa_respond/Makefile	Mon Dec 30 23:07:27 2002
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2001/10/25 05:21:13 wcampbel Exp $
+# $Id: Makefile,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 
 all: respond
 
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/rsa_respond/README ircd-hybrid-7-bg/tools/rsa_respond/README
--- ircd-hybrid-7rc5/tools/rsa_respond/README	Mon Sep 16 22:13:49 2002
+++ ircd-hybrid-7-bg/tools/rsa_respond/README	Mon Dec 30 23:07:27 2002
@@ -32,4 +32,4 @@
 respond compiles properly, and have been tested on FreeBSD 4.x, Linux glibc,
 Solaris 8, and Cygwin 1.2 or higher.
 
-# $Id: README,v 1.7 2002/09/17 02:13:49 db Exp $
+# $Id: README,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/rsa_respond/respond.c ircd-hybrid-7-bg/tools/rsa_respond/respond.c
--- ircd-hybrid-7rc5/tools/rsa_respond/respond.c	Mon Sep 16 22:13:49 2002
+++ ircd-hybrid-7-bg/tools/rsa_respond/respond.c	Mon Dec 30 23:07:27 2002
@@ -17,7 +17,7 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- *  $Id: respond.c,v 1.7 2002/09/17 02:13:49 db Exp $
+ *  $Id: respond.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 #include <stdio.h>
 #include <openssl/err.h>
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/untabify ircd-hybrid-7-bg/tools/untabify
--- ircd-hybrid-7rc5/tools/untabify	Sun Aug  1 17:19:57 1999
+++ ircd-hybrid-7-bg/tools/untabify	Mon Dec 30 23:07:27 2002
@@ -2,7 +2,7 @@
 #
 # untabify - convert tabs to spaces
 #
-# $Id: untabify,v 7.0.0.1 1999/08/01 21:19:57 lusky Exp $
+# $Id: untabify,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
 use Text::Tabs;
 $tabstop = 8;
 while (<>) { print expand($_) }
diff -uNrd -x CVS ircd-hybrid-7rc5/tools/viconf.c ircd-hybrid-7-bg/tools/viconf.c
--- ircd-hybrid-7rc5/tools/viconf.c	Mon Feb  4 21:40:22 2002
+++ ircd-hybrid-7-bg/tools/viconf.c	Mon Dec 30 23:07:27 2002
@@ -1,7 +1,7 @@
 /*
  * viconf.c
  *
- * $Id: viconf.c,v 7.4 2002/02/05 02:40:22 jmallett Exp $
+ * $Id: viconf.c,v 1.1.1.1 2002/12/31 04:07:27 demond Exp $
  */
 #include <stdio.h>
 #include <unistd.h>
